"use strict";

const darkThemeClass = 'dark-theme';
const darkTheme = 'Dark Theme';
const darkThemeItem = 'dark-theme-item';
const lightTheme = 'Light Theme';
const lightThemeItem = 'light-theme-item';
const styleCookie = 'style';

function applyStyleSheet(title) {
    if (title === darkTheme) {
        document.body.classList.add(darkThemeClass);
    } else {
        document.body.classList.remove(darkThemeClass);
    }

    // set the active theme menu item

    let item = document.getElementById(lightThemeItem);
    if (item) {
        if (title === darkTheme) {
            item.classList.remove(active);
        } else {
            item.classList.add(active);
        }
    }

    item = document.getElementById(darkThemeItem);
    if (item) {
        if (title === darkTheme) {
            item.classList.add(active);
        } else {
            item.classList.remove(active);
        }
    }
}

function readCookie(name) {
    const nameEQ = name + "=";
    const ca = document.cookie.split(';');
    for (let i = 0; i < ca.length; i++) {
        let c = ca[i];
        while (c.charAt(0) === ' ') {
            c = c.substring(1, c.length);
        }

        if (c.indexOf(nameEQ) === 0) {
            let result = c.substring(nameEQ.length, c.length);

            // convert legacy cookie values
            if (result === "light") {
                result = lightTheme;
            } else if (result === "dark") {
                result = darkTheme;
            }

            return result;
        }
    }
    return null;
}

let cookieValue = readCookie(styleCookie);
applyStyleSheet(cookieValue);
